Subject: FW: Do the RSVP daemon recognises new interfaces coming up?

From: "Axel Lok (ELN)" <[email-masked]>
Date: Fri, 18 Jan 2002 09:44:52 +0100

Hello,

I've had the same problem with tunnels. When a new tunnel is
created by Mobile IP and some RSVP-packets arrives in the RSVP, 
it crashed.

To solve this problem I've changed the RSVP code so, that it will
do the interface initialisation every time a packet arrives. This
will take some extra processing time, but it solved my problem.
It is now possible to add and remove interfaces dynamically without
restarting the daemon. 

Regards,
Axel

-----Original Message-----
From: Dipak [mailto:[email-masked]]
Sent: Wednesday, January 09, 2002 11:52 PM
To: [email-masked]
Cc: [email-masked]
Subject: Do the RSVP daemon recognises new interfaces coming up?

Hi all,
    Please bear with me, if I am raising an old or trivial question
about the working of RSVP daemon?
    After looking into RSVP daemon initialization, it looks like the
RSVP -daemon finds out all the interfaces (say, eth0 and eth0:1), which
are UP and there associated IP addresses. So, any PATH or RESV messages
coming for those IP addresses will be reaching the daemon.
    So, my question is, if I bring up another interface (say, eth1) also
with a new IP address, how can I make already started daemon to know
about that new IP ineterface (of course, without restarting the daemon)?

Thanks a lot,
Dipak